Skip to main content
GET
/
instances
/
{id}
/
session
/
status
Check WhatsApp connection
curl --request GET \
  --url https://api.vzaps.com/instances/{id}/session/status \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "success": true,
  "data": {
    "connected": true,
    "phone": "551151968302",
    "whatsapp_jid": "551151968302@s.whatsapp.net",
    "push_name": "Aprova Mesa Prop",
    "business_name": "Aprova Mesa Prop",
    "business_profile": {
      "business_hours_timezone": "America/Sao_Paulo",
      "categories": [
        {
          "id": "1022050661163852",
          "name": "Finance"
        }
      ],
      "profile_options": {
        "bot_fields": "",
        "cart_enabled": "true",
        "commerce_experience": "none",
        "direct_connection": "false",
        "is_offerings_eligible": "true",
        "is_responsive": "false"
      }
    },
    "profile_picture_id": "1242225976",
    "profile_picture_url": "https://pps.whatsapp.net/v/t61.24694-24/example.jpg",
    "profile_url": "https://wa.me/551151968302"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identificador publico da instancia no formato gerado pela plataforma: prefixo VZ seguido de caracteres alfanumericos.

Example:

"VZ9K2M4N8P1Q3R5S7T0WABCD01EF"

Response

200 - application/json

WhatsApp connection state and account profile (data)

code
integer
required
success
boolean
required
data
object